Subject: 600951817 // CUSTOMER COMPLAINT
From: Christian Mendoza <[email-masked]>
To: Uae Lastmile <[email-masked]>, Naib Khan <[email-masked]>, Eugene Mugisa <[email-masked]>
Cc: customer care <[email-masked]>
Date: Fri, 14 Aug 2020 14:53:26 +0800
List-Id: <ccteam.mumzworld.com>

Hi Team,

AS per the customer:

I don’t know how many times I have now raised this with you.

Yet again your very unhelpful delivery driver has left my delivery
containing food items on my doorstep without ringing it the bell.
It is currently over 40 degrees. I have no idea how long the parcel has
been sat there. I have been home all morning.

I now cannot give my son the food.

Another wasted order because of your driver.

Please sort this out Mumzworld, it is extremely frustrating.
It takes 1 minute to ring the bell and wait for someone to come to the door.

Please check this.

Thank you and Best Regards,